# Source code for azure.mgmt.datafactory.models.copy_translator_py3

    # coding=utf-8
    # --------------------------------------------------------------------------
    # Copyright (c) Microsoft Corporation. All rights reserved.
    # Licensed under the MIT License. See License.txt in the project root for
    # license information.
    #
    # Code generated by Microsoft (R) AutoRest Code Generator.
    # Changes may cause incorrect behavior and will be lost if the code is
    # regenerated.
    # --------------------------------------------------------------------------

    from msrest.serialization import Model

    class CopyTranslator(Model):
        """A copy activity translator.

        You probably want to use the sub-classes and not this class directly. Known
        sub-classes are: TabularTranslator

        All required parameters must be populated in order to send to Azure.

        :param additional_properties: Unmatched properties from the message are
         deserialized this collection
        :type additional_properties: dict[str, object]
        :param type: Required. Constant filled by server.
        :type type: str
        """

        _validation = {
            'type': {'required': True},
        }

        _attribute_map = {
            'additional_properties': {'key': '', 'type': '{object}'},
            'type': {'key': 'type', 'type': 'str'},
        }

        _subtype_map = {
            'type': {'TabularTranslator': 'TabularTranslator'}
        }

        def __init__(self, *, additional_properties=None, **kwargs) -> None:
            super(CopyTranslator, self).__init__(**kwargs)
            self.additional_properties = additional_properties
            self.type = None